# Welcome to geohub

[![Logo](https://img.shields.io/pypi/v/geohub.svg)](https://pypi.python.org/pypi/geohub)

[![Logo](https://img.shields.io/pypi/pyversions/geohub.svg)](docs/images/geohub_logo.jpg)

**A python package for geospatial analysis **


-   Free software: BSD License
-   Documentation: <https://mahnaz-meem.github.io/geohub>
-   Interactive streamlit app: <https://geolit.streamlit.app/>
    
## Introduction

`geohub` is a python package for geospatial analysis. It provides a set of tools for geospatial visualization, analysis, and interactive mapping. The package is built on top of popular libraries like `ipyleaflet`, `folium`, `rasterio`, `leafmap`, `matplotlib`, `streamlit`, and `google earth engine`.

## Features

-   Geospatial visualization with vector and raster data
-   Maps with interactive widgets
-   Geospatial analysis with 'Google Eartth Engine'
-   Heatmap
-   Split map
-   Time slider for time series spatial data
![image](docs/examples/landsat.gif)
-   Interactive map with folium

## Installation Instructions

Install `geohub` using pip:
```bash
$ pip install geohub
```

### Test Notebook: Split Map
[![image](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/mahnaz-meem/geohub/blob/main/docs/examples/split_map.ipynb)